Summary: Netscape tools, including a Web browser, news reader and e-mail client.
Name: netscape
Version: 4.7
Release: 2
Serial: 2
Copyright: Commercial
Group: Applications/Internet
Source0: ftp://ftp.netscape.com/pub/communicator/english/4.7/unix/linux22/complete_install/communicator-v47-export.x86-unknown-linux2.2.tar.gz
Source1: ftp://ftp.netscape.com/pub/communicator/english/4.7/unix/linux22/navigator_standalone/navigator-v47-export.x86-unknown-linux2.2.tar.gz
Source4: netscape-com.sh
Source5: netscape-communicator.desktop
Source6: netscape-navigator.desktop
Buildroot: /var/tmp/ns-root
Prefix: /usr
Exclusivearch: i386

%description
Netscape Navigator is the industry-leading Web browser.  It supports
the latest HTML standards, Java, JavaScript and some style sheets. It
also includes a full-featured Usenet news reader as well as a complete
e-mail client.

%package common
%ifarch sparc sparc64
Version: 4.51
%endif
Requires: indexhtml
Obsoletes: nls
Summary: Files shared by the Netscape Navigator and Communicator.
Group: Applications/Internet

%description common
This package contains the files that are shared between the Netscape
Navigator Web browser and the Netscape Communicator suite of tools
(the Navigator Web browser, an e-mail client, a news reader and Web
page editor).

Install the netscape-common package if you're installing the
netscape-navigator and/or the netscape-communicator program.

%package communicator
%ifarch sparc sparc64
Version: 4.51
%endif
Requires: netscape-common = %{version}
Provides: webclient
Summary: Netscape tools, including a Web browser, news reader and e-mail client.
Group: Applications/Internet

%description communicator
Netscape Communicator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.  It
also includes a full-featured Usenet news reader as well as a complete
e-mail client.

Information on the Netscape Communicator license may be found in the
file /usr/doc/netscape-common-4.51/LICENSE.

%package navigator
%ifarch sparc sparc64
Version: 4.51
%endif
Requires: netscape-common = %{version}
Provides: webclient
Summary: The Netscape Navigator Web browser.
Group: Applications/Internet

%description navigator
Netscape Navigator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.

Information on the Netscape Navigator license may be found in the file
/usr/doc/netscape-common-4.51/LICENSE.

This will install the basic Netscape Navigator Web browser.
If you want additional features, such as the Usenet news reader and
HTML editor, you should install the netscape-communicator package.

%prep
%ifarch i386
%setup -c -b 1
%elseifarch sparc sparc64
%setup -c -T -b 2 -b 3 
%endif
mv communic*/* .
rmdir communicator*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/usr/lib/netscape/plugins \
	$RPM_BUILD_ROOT/usr/lib/netscape/java/classes

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape -xzvf $I
done
mv $RPM_BUILD_ROOT/usr/lib/netscape/netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
%ifarch i386
echo 'Communicator,4.7.0.19990915,/usr/lib/netscape' > /tmp/infile
%elseifarch sparc sparc64
echo 'Communicator,4.51.0.99058,/usr/lib/netscape' > /tmp/infile
%endif
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
rm -f /tmp/infile

# get the netscape-navigator binary now
%ifarch i386
tar xvzf %{SOURCE1} '*/netscape-v47.nif'
tar xvzf navigator*/netscape-v47.nif netscape
%elseifarch sparc sparc64
tar xvzf %{SOURCE3} '*/netscape-v451.nif'
tar xvzf navigator*/netscape-v451.nif netscape
%endif
install -m 755 netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-navigator

install -m755 $RPM_SOURCE_DIR/netscape-com.sh $RPM_BUILD_ROOT/usr/bin/netscape

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/{LICENSE,README,Netscape.ad} .

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cp -av $RPM_SOURCE_DIR/netscape-communicator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-communicator.desktop
cp -av $RPM_SOURCE_DIR/netscape-navigator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-navigator.desktop

ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator
ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

rm -f `find $RPM_BUILD_ROOT -path "*dynMotif*"`

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-,root,root)
/usr/bin/netscape
%dir /usr/lib/netscape
%docdir /usr/lib/netscape/nethelp
%doc README LICENSE Netscape.ad
/usr/lib/netscape/bookmark.htm
/usr/lib/netscape/java
%ifarch i386 
/usr/lib/netscape/libjsd.so
# This thing uses libc5...
# /usr/lib/netscape/dynfonts
%endif
/usr/lib/netscape/movemail
/usr/lib/netscape/movemail-src
/usr/lib/netscape/nethelp
/usr/lib/netscape/registry
/usr/lib/netscape/spell
/usr/lib/netscape/vreg
/usr/lib/netscape/plugins


%files navigator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-navigator.desktop
/usr/bin/netscape-navigator
/usr/lib/netscape/netscape-navigator

%files communicator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-communicator.desktop
/usr/bin/netscape-communicator
/usr/lib/netscape/netscape-communicator

%post common
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
fi


%changelog
* Fri Nov  5 1999 Bill Nottingham <notting@redhat.com>
- remove sparc binaries - in different package now. 

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- update to 4.7

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- fix timezone

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- fix quoting in shell script
- fix processname of compat-lib-ized netscape

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- make netscape-common requirements include the serial

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- get default homepage back

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- fix paths to pidof

* Fri Aug 27 1999 Bill Nottingham <notting@redhat.com>
- fix paths to compat libs in new script.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- some ideas from H. Peter Anvin and Dave Cinege's wrapper incorporated.

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- run against the compatibility libs. This sucks.
- re-integrate the Sparc version, with different versions.

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 4.61

* Mon May 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.6

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- remove libTrueDoc to get rid of libc5 dependency. Oops.

* Mon May  3 1999 Bill Nottingham <notting@redhat.com>
- update to attempt to fix pipe bug

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- rewrite startup script to be sane

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- move requires/obsoletes to the right place in the spec file.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- update to 4.51
- build on sparc. Wheee.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- applink -> applnk
- make subpackages require versions

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- wmconfig -> applink

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- fix netscape script for other locales
- remove LD_PRELOAD (ns is now linked against libBrokenLocale....)

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- spec file cosmetics

* Sun Dec 13 1998 Bill Nottingham <notting@redhat.com>
- update to 4.08

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- update to 4.07

* Tue Aug 18 1998 Bill Nottingham <notting@redhat.com>
- updated to 4.06

* Fri Jul 10 1998 Cristian Gafton <gafton@redhat.com>
- modified to load libBrokenLocale.so.1, so that glibc-devel is no longer
  required

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- replaced LANG=C with a preload of libBrokenLocale.so
- don't point to our html page if a home page is set in the user's preferences
- added missing " to wmconfig files

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- added LANG=C to netscape start wrapper

* Thu Apr 02 1998 Erik Troan <ewt@redhat.com>
- update to netscape 4.05
- moved common files to netscape-common package which both navigator and
  communicator require
- made relocateable (needs RPM >= 2.4.103 to relocate properly)

* Fri Jan 23 1998 Erik Troan <ewt@redhat.com>
- initial package is rel 3, works on RH 4.x and RH 5.x
